package com.iamberry.wechat.core.entity.agent;

import java.io.Serializable;

/**
 * 微代理会员中心 实体类
 * 2016年4月20日
 * @author 穆再兴
 *
 */
public class AgentMemberDto implements Serializable{
	private static final long serialVersionUID = 1137540642134509956L;

	private Integer userId;					//会员ID
	
	private String userOpenid;				//用户openid
	
	private String userHead;				//用户头像
	
	private String userNickname;			//用户昵称
	
	private Integer userSurplusIntegral;	//剩余积分
	
	private Integer userIncome;				//收入金额，单位为分
	
	private int willIncome; 				//待返还金额，单位元
	
	private Integer userIdentity;			//会员身份		1:会员   2:微代理
	
	private Integer applyIsRead;			//是否已读	 	1:已读	2:未读
	
	private OrderStatusDto orderStatusDto;	//订单状态

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserOpenid() {
		return userOpenid;
	}

	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}

	public String getUserHead() {
		return userHead;
	}

	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}

	public String getUserNickname() {
		return userNickname;
	}

	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}

	public Integer getUserSurplusIntegral() {
		return userSurplusIntegral;
	}

	public void setUserSurplusIntegral(Integer userSurplusIntegral) {
		this.userSurplusIntegral = userSurplusIntegral;
	}

	public Integer getUserIncome() {
		return userIncome;
	}
	public void setUserIncome(Integer userIncome) {
		this.userIncome = userIncome;
	}

	public int getWillIncome() {
		return willIncome;
	}

	public void setWillIncome(int willIncome) {
		this.willIncome = willIncome;
	}

	public Integer getUserIdentity() {
		return userIdentity;
	}

	public void setUserIdentity(Integer userIdentity) {
		this.userIdentity = userIdentity;
	}

	public Integer getApplyIsRead() {
		return applyIsRead;
	}

	public void setApplyIsRead(Integer applyIsRead) {
		this.applyIsRead = applyIsRead;
	}

	public OrderStatusDto getOrderStatusDto() {
		return orderStatusDto;
	}

	public void setOrderStatusDto(OrderStatusDto orderStatusDto) {
		this.orderStatusDto = orderStatusDto;
	}

	@Override
	public String toString() {
		return "AgentMemberDto [userId=" + userId + ", userOpenid="
				+ userOpenid + ", userHead=" + userHead + ", userNickname="
				+ userNickname + ", userSurplusIntegral=" + userSurplusIntegral
				+ ", userIncome=" + userIncome + ", willIncome=" + willIncome
				+ ", userIdentity=" + userIdentity + ", applyIsRead="
				+ applyIsRead + ", orderStatusDto=" + orderStatusDto + "]";
	}
}
